GET
List Deployments (Paginated)

Authorizations

Authorization
string
header
required

Simplismart API key (Settings > API Keys).

Query Parameters

workspace_id
string<uuid>

Workspace UUID (alias workspaceId). Defaults to the organisation's default workspace.

limit
integer
default:10

Clamped to 1-100.

offset
integer
default:0

Minimum 0.

name
string

Case-insensitive match on name or display_name.

status
string

Comma-separated. PROGRESSING expands to PENDING, DELETING, EDIT_IN_PROGRESS, EDIT_WARMPOOL_IN_PROGRESS, DEPLOYING.

is_privately_deployed
enum<string>

BYOC or Private.

Available options:
BYOC,
Private
is_fast_scale_up_deployment
enum<string>

Enabled or Disabled.

Available options:
Enabled,
Disabled
deployment_tag
string

Comma-separated tags.

created_by
string

Comma-separated emails.

cluster_id
string

Comma-separated cluster UUIDs.

model_repo_id
string

Comma-separated model repo UUIDs.

Response

Successful response

limit
integer
offset
integer
count
integer
results
object[]